summaryrefslogtreecommitdiff
path: root/dev-go
diff options
context:
space:
mode:
authorLibravatar Terin Stock <terinjokes@gmail.com>2024-09-11 23:32:19 +0200
committerLibravatar Terin Stock <terinjokes@gmail.com>2024-09-11 23:32:19 +0200
commit86051d325022a24309388f1a15fcd5bc859d1aca (patch)
tree5758a5b52bef499b4719776569313f20e9bcf6d4 /dev-go
parentwww-servers/cgit-httpd: new package, add 0.5.0 (diff)
downloadebuilds-86051d325022a24309388f1a15fcd5bc859d1aca.tar.xz
dev-go/gotestsum: new package, add 1.12.0
Diffstat (limited to 'dev-go')
-rw-r--r--dev-go/gotestsum/Manifest2
-rw-r--r--dev-go/gotestsum/gotestsum-1.12.0.ebuild30
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-go/gotestsum/Manifest b/dev-go/gotestsum/Manifest
new file mode 100644
index 0000000..c20637b
--- /dev/null
+++ b/dev-go/gotestsum/Manifest
@@ -0,0 +1,2 @@
+DIST gotestsum-1.12.0-deps.tar.xz 28729684 BLAKE2B 0cfd1b53baf1c4300ec9def66779bc2bbe05aa16be1934bed051e0608ac8b6d91c1133b8a631427cf3079bb87df3890ea6811c7266d5a6099ae5690bb36212aa SHA512 e46f274da98451768c9c835138fbdf615178e92e5e3cf6391e4b64546f6ff3a29f698b3e1c93382ddd498061a1cdd2727ccf48a72221bcfd8ccf21234dcf3b65
+DIST gotestsum-1.12.0.tar.gz 120301 BLAKE2B 443ad41ee5f17f2be035feafea68317d33064faf6ed0d4d52787bb77e6d361922d6db794820e1d7ee9ed990232a8eef60772a166cb0f0afa7d2980d9afbade99 SHA512 8532b6182e3ae2d73efdd50f2e69bd77869a39876bf50288ce236633bdb09f99c98cf4a6428e955c643b48584a4a7bfd53839ff9630d6ca86c436ffd00c6198d
diff --git a/dev-go/gotestsum/gotestsum-1.12.0.ebuild b/dev-go/gotestsum/gotestsum-1.12.0.ebuild
new file mode 100644
index 0000000..fa9f75b
--- /dev/null
+++ b/dev-go/gotestsum/gotestsum-1.12.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="'go test' runner with output optimized for humans"
+HOMEPAGE="https://github.com/gotestyourself/gotestsum"
+SRC_URI="https://github.com/gotestyourself/gotestsum/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-deps.tar.xz "
+
+LICENSE="Apache-2.0"
+BDEPEND=">=dev-lang/go-1.13"
+
+SLOT="0"
+KEYWORDS="~amd64"
+# TODO: fix test failure with deps tarball
+RESTRICT+=" test"
+
+src_compile() {
+ ego build -trimpath .
+}
+
+src_test() {
+ go test -work "./..." || die
+}
+
+src_install() {
+ dobin gotestsum
+}